Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# deLine Class Reference

`#include <deLine_priv.hpp>`

Inheritance diagram for deLine:

[legend]
Collaboration diagram for deLine:

[legend]
List of all members.

## Public Member Functions
long | Release ()
void | GetPointOnLine (deDouble Fraction, deVec3d &point)
void | GetTangentAtPoint (deDouble Fraction, deVec3d &point)
long | GetLength ()
long | GetNumCVs ()
void | GetCVList (deVec3d buffer[])
deVec3d | GetCV (long num)
void | SetCV (long num, deVec3d &CV)
void | SetCVList (long num, deVec3d CVList[])
void | AddCV (deVec3d &point)
IdeLine * | Copy ()
## Protected Member Functions
| deLine ()
virtual | ~deLine ()
virtual void | InterpolateLine (deDouble Fraction, deVec3d &point)=0
virtual void | InterpolateTangent (deDouble Fraction, deVec3d &point)=0
virtual IdeLine * | CopyLine ()=0
## Protected Attributes
long | m_CVNum
deTArray< deVec3d > | m_CVList
long | m_Length
deBoolean | m_Changed

## Constructor & Destructor Documentation

deLine::deLine | ( |  | ) | `[protected]`

deLine::~deLine | ( |  | ) | `[protected, virtual]`

## Member Function Documentation

void deLine::AddCV | ( | deVec3d & | point | ) | `[virtual]`

| Implements IdeLine.

IdeLine * deLine::Copy | ( |  | ) | `[virtual]`

| Implements IdeLine.

virtual IdeLine* deLine::CopyLine | ( |  | ) | `[protected, pure virtual]`

| Implemented in GroupLine, StraightLine, BezierLine, and ArcLine.

deVec3d deLine::GetCV | ( | long | num | ) | `[virtual]`

| Implements IdeLine.

void deLine::GetCVList | ( | deVec3d | buffer[] | ) | `[virtual]`

| Implements IdeLine.

long deLine::GetLength | ( |  | ) | `[virtual]`

| Implements IdeLine.

long deLine::GetNumCVs | ( |  | ) | `[virtual]`

| Implements IdeLine.

void deLine::GetPointOnLine | ( | deDouble | Fraction,
|  | deVec3d & | point
| ) | `[virtual]`

| Implements IdeLine.

void deLine::GetTangentAtPoint | ( | deDouble | Fraction,
|  | deVec3d & | point
| ) | `[virtual]`

| Implements IdeLine.

virtual void deLine::InterpolateLine | ( | deDouble | Fraction,
|  | deVec3d & | point
| ) | `[protected, pure virtual]`

| Implemented in GroupLine, StraightLine, BezierLine, and ArcLine.

virtual void deLine::InterpolateTangent | ( | deDouble | Fraction,
|  | deVec3d & | point
| ) | `[protected, pure virtual]`

| Implemented in GroupLine, StraightLine, BezierLine, and ArcLine.

long deLine::Release | ( |  | ) | `[virtual]`

| Implements IdeLine.

void deLine::SetCV | ( | long | num,
|  | deVec3d & | CV
| ) | `[virtual]`

| Implements IdeLine.

void deLine::SetCVList | ( | long | num,
|  | deVec3d | CVList[]
| ) | `[virtual]`

| Implements IdeLine.

## Member Data Documentation

deBoolean deLine::m_Changed`[protected]`

deTArray<deVec3d> deLine::m_CVList`[protected]`

long deLine::m_CVNum`[protected]`

long deLine::m_Length`[protected]`

The documentation for this class was generated from the following files:

- deLine_priv.hpp
- deLine.cpp